Description: Fix segfault in linphone-app/src/components/call/CallModel.cpp:CallModel::searchReceived()
 Reproducible by calling non-numerical strings instead of phone numbers.
Last-Update: 2022-12-17
Author: Dennis Filder <d.filder@web.de>
--- a/linphone-app/src/components/call/CallModel.cpp
+++ b/linphone-app/src/components/call/CallModel.cpp
@@ -963,7 +963,7 @@
 	bool found = false;
 	for(auto it = results.begin() ; it != results.end() && !found ; ++it){
 		if((*it)->getFriend()){// Local Friend
-			if((*it)->getFriend()->getAddress()->weakEqual(mRemoteAddress)){
+			if((*it)->getFriend()->getAddress() && (*it)->getFriend()->getAddress()->weakEqual(mRemoteAddress)){
 				setRemoteDisplayName((*it)->getFriend()->getName());
 				found = true;
 			}
